be.ehealth.technicalconnector.ws.feature

## Class WSAddressingV200508Feature

- java.lang.Object
- - be.ehealth.technicalconnector.ws.feature.GenericFeature
  - - be.ehealth.technicalconnector.ws.feature.WSAddressingV200508Feature

-     public class WSAddressingV200508Feature
      extends GenericFeature

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSAddressingV200508Feature(WsAddressingHeader header)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandlerChain` | `getHandlers()`
    `String` | `getID()` Get the unique identifier for this WebServiceFeature.
    `Map<String,Object>` | `requestParamOptions()`

    - ### Methods inherited from class be.ehealth.technicalconnector.ws.feature.GenericFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WSAddressingV200508Feature

          public WSAddressingV200508Feature(WsAddressingHeader header)
                                     throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getID

          public String getID()

      Description copied from class: `GenericFeature`
      Get the unique identifier for this WebServiceFeature.
      Specified by:
        `getID` in class `GenericFeature`
      Returns:
        the unique identifier for this feature.

    - #### getHandlers

          public HandlerChain getHandlers()

      Overrides:
        `getHandlers` in class `GenericFeature`

    - #### requestParamOptions

          public Map<String,Object> requestParamOptions()

      Overrides:
        `requestParamOptions` in class `GenericFeature`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.